package sfs3.extensions.examples.spacewar2.core;

public class Weapon
{
	private int maxShots;
	private int shots;
	
	public Weapon(int maxShots)
	{
		this.maxShots = maxShots;
		shots = 0;
	}
	
	public boolean isShotAvailable()
	{
		return (maxShots - shots > 0);
	}
	
	public void increaseShotsCount()
	{
		shots++;
	}
	
	public void decreaseShotsCount()
	{
		shots--;
	}
}
